graaff      14/04/19 07:37:27

  Modified:             ChangeLog fakeweb-1.3.0-r1.ebuild
  Log:
  Add ruby21. Update mocha to work with all ruby targets.
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 
0x8883FA56A308A8D7!)

Revision  Changes    Path
1.21                 dev-ruby/fakeweb/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fakeweb/ChangeLog?rev=1.21&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fakeweb/ChangeLog?rev=1.21&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fakeweb/ChangeLog?r1=1.20&r2=1.21

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/fakeweb/ChangeLog,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- ChangeLog   22 Dec 2013 19:15:24 -0000      1.20
+++ ChangeLog   19 Apr 2014 07:37:27 -0000      1.21
@@ -1,6 +1,9 @@
 # ChangeLog for dev-ruby/fakeweb
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakeweb/ChangeLog,v 1.20 
2013/12/22 19:15:24 blueness Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakeweb/ChangeLog,v 1.21 
2014/04/19 07:37:27 graaff Exp $
+
+  19 Apr 2014; Hans de Graaff <[email protected]> fakeweb-1.3.0-r1.ebuild:
+  Add ruby21. Update mocha to work with all ruby targets.
 
   22 Dec 2013; Anthony G. Basile <[email protected]> ChangeLog:
   Fix failed gpg signiture



1.3                  dev-ruby/fakeweb/fakeweb-1.3.0-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fakeweb/fakeweb-1.3.0-r1.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fakeweb/fakeweb-1.3.0-r1.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/fakeweb/fakeweb-1.3.0-r1.ebuild?r1=1.2&r2=1.3

Index: fakeweb-1.3.0-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/fakeweb/fakeweb-1.3.0-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- fakeweb-1.3.0-r1.ebuild     22 Dec 2013 19:14:19 -0000      1.2
+++ fakeweb-1.3.0-r1.ebuild     19 Apr 2014 07:37:27 -0000      1.3
@@ -1,10 +1,10 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakeweb/fakeweb-1.3.0-r1.ebuild,v 
1.2 2013/12/22 19:14:19 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakeweb/fakeweb-1.3.0-r1.ebuild,v 
1.3 2014/04/19 07:37:27 graaff Exp $
 
 EAPI=5
 
-USE_RUBY="ruby18 ruby19 ruby20 jruby"
+USE_RUBY="ruby19 ruby20 ruby21 jruby"
 
 RUBY_FAKEGEM_DOCDIR="html"
 RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.rdoc"
@@ -21,7 +21,8 @@
 
 ruby_add_bdepend "
        test? (
-               dev-ruby/mocha:0.12
+               dev-ruby/mocha:0.13
+               dev-ruby/test-unit
                dev-ruby/samuel
                dev-ruby/right_http_connection
        )"
@@ -35,15 +36,22 @@
        sed -i -e 's/sdoc/rdoc/' -e '/template/d' Rakefile || die
 
        # Require an old enough version of mocha
-       sed -i -e '1igem "mocha", "~> 0.12.0"' test/test_helper.rb || die
+       sed -i -e '1igem "mocha", "~> 0.13.0"' test/test_helper.rb || die
+
+       # Use the test-unit gem to make jruby compatible with newer mocha.
+       sed -i -e '1igem "test-unit"' test/test_helper.rb || die
 }
 
 each_ruby_prepare() {
        case ${RUBY} in
-               *ruby20)
+               *ruby2[01])
                        # Tests fail on mocking of TCPSocket, but fakeweb itself
                        # actually works as evidenced by the thor test suite.
                        rm test/test_fake_web_open_uri.rb 
test/test_allow_net_connect.rb test/test_fake_web.rb || die
                        ;;
+               *jruby)
+                       # jruby has different deprecation warnings
+                       rm test/test_deprecations.rb || die
+                       ;;
        esac
 }




Reply via email to